Skip to content

The following sections are general information required for using the Flute API suite.

baseURL Environments

Flute provides different environments to run endpoints.

Sandbox
The sandbox environment is for development and testing. No payments, charges, or invoices will be enforced. It is a fully isolated account that mirrors production behavior.

It is used to validate your integration before going live. You will work with your Flute support team developing workflows and tools.

baseURL: https://sandbox.api.flute.com

Production
The production environment is for deploying the payment system live to clients. All payments, charges, or invoices are live and will be enforced.

When your product is ready to be deployed live, the Flute support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures the best and optimal developer, client, and customer experience.
For more information and details about the production readiness checklist, see Production Go-Live Guide.

baseURL: https://api.flute.com

Using the baseURL
Use the baseURL instead of the placeholder noted in each endpoint. For example, an endpoint may be described in the endpoint documentation as:
GET {{baseURL}}/v2/customers

To make this call in the sandbox environment, use:
POST https://sandbox.api.flute.com/v2/customers

To make this call in the production environment, use:
POST https://api.flute.com/v2/customers

Payment Flow

The following is a generalized workflow.

Approving a Purchase Request

  1. The customer completes their shopping experience on the merchant's website by selecting the products or services. They navigate to the checkout page on the merchant's website.
  2. They enter their personal and payment information. This could include card details, or net banking information.
  3. The merchant's website captures these details, formatting the details as needed to conform to Flute payment gateway requirements.
  4. This sensitive data is transmitted by a secure connection (HTTPS) to the Flute payment gateway. The Flute payment gateway is a service that makes authorization and sale by cards or ACH (automated clearing house, an electronic network used by financial institutions to process direct deposits).
  5. Upon receiving this information, the Flute payment gateway further routes this payment data to the processing center, such as TSYS.
  6. This entity communicates with the customer's bank to get authorization or denial for the payment. The processing center determines if the payment is approved, that is, if there are sufficient funds or credit available in the customer's account.

Acknowledging a Purchase Request

  1. After the transaction is processed, the processing center sends back a response to the Flute payment gateway. This response includes details of the transaction, such as whether it was approved or declined.
  2. The Flute payment gateway relays this information back to the merchant's website.
  3. The merchant's website receives this information and displays a message or signal for the customer. Depending on whether the transaction was approved or declined, the appropriate message is displayed to the customer. For instance:
    If transaction was successful, a confirmation message is shown, usually with a transaction ID and other details.
    If it was declined, the customer is informed and typically asked to try another payment method.

Supported Card Types

The following credit cards and formats are supported.
  • Diners Club: Card numbers are typically 14 or 16 digits long.
  • Discover: Card numbers are typically 16 digits long.
  • JCB: Card numbers are typically 16 digits long.
  • MasterCard: Card numbers are typically 16 digits long.
  • VISA: Card numbers are typically 13 or 16 digits long.

Flute-Defined Enums

The following are Flute-defined enumerations and indices used in endpoint fields.
Account Holder Types
idname
1Business
2Personal
Account Types
idname
1Checking
2Savings
Business Categories
idname
1WebDeveloper
2IndependentSoftwareVendor
3IndependentSalesOrganization
Credit Card Types
idname
1Visa
2MasterCard
3AmericanExpress
4DinersClub
5Discover
6JCB
Transaction Creator Types
idname
1Portal
2ApiToken
3Terminal
4Invoice
5QuickPayment
6WebComponent
7Subscription
8MobileApp
9TapToPay
Partner Statuses
idname
1Active
2Suspended
Partner Business Model Types
idname
1SingleAffiliateModel
2SubAffiliateModel
Payment Method Types
idname
1Card
2ElectronicCheck
Payment Processor Statuses
idname
1Active
2Inactive
Payment Processor Types
idname
1TSYS
2EFT
Payment Session Statuses
idname
1Created
2Cancelled
3Completed
4Failed
Transaction Statuses
Status CodeStatusDescriptionAvailable actions
1AuthorizedTransaction status after an approved pre-authorization requestCapture, Void
2CapturedTransaction status after approved sale or capture requestVoid
3VoidedTransaction status after merchant voids an authorized request or refunds a captured (not settled) requestN/A
4RefundedTransaction status after merchant refunds a settled requestN/A
5VerifiedNAN/A
6SettledTransaction status after successful settlement request. All captured transactions should have status changed to settledRefund
7Partially AuthorizedTransaction status after an approved pre-authorization request with the approved amount less than initially requested. Indicates that the issuer bank has approved only a portion of the requested payment amount. The exact authorized amount should be checked in the corresponding field.Capture, Void
8InformationalNAN/A
21ScheduledNAN/A
24PendingTransaction status while changing status. This is a temporary statusN/A
91DeclinedTransaction status after a denied pre-authorization, sale or capture requestN/A
92FailedTransaction status after a failure at any type of requestN/A
92ExpiredTransaction status after 7 days in authorized status (merchant has not captured within this time)N/A
Transaction Types
idname
1Authorization
2Sale
3Capture
4Void
5Refund
6CardAuthentication
7RefundWORef
8TipAdjustment
11AchDebit
12AchRefund
13AchHold
14AchUnHold
15AchCancel
16AchCredit